KDE 4.2 PyKDE API Reference

- KDE's Python API

# HTMLMapElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Client-side image map. See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#edef-MAP"> MAP element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLMapElement other)
| __init__ (self, DOM.Node other)
| __init__ (self, HTMLMapElementImpl impl)
DOM.HTMLCollection | areas (self)
DOM.DOMString | name (self)
| setName (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLMapElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

__init__ | ( | self, |
|  | HTMLMapElementImpl | impl
| ) |  |  |

DOM.HTMLCollection areas | ( |  | self ) |

The list of areas defined for the image map.

DOM.DOMString name | ( |  | self ) |

Names the map (for use with usemap ). See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-name-MAP"> name attribute definition in HTML 4.0.

setName | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see name